petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateTwoSidedProcessSF

Create an SF which just has process connectivity

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateTwoSidedProcessSF(DM dm, PetscSF sfPoint, PetscSection rootRankSection, IS rootRanks, PetscSection leafRankSection, IS leafRanks, IS *processRanks, PetscSF *sfProcess)

Collective on DM Many br

### Input Parameters

| dm | - The DM Many br
| sfPoint | - The PetscSF which encodes point connectivity Many br

### Output Parameters

| processRanks | - A list of process neighbors, or NULL Many br
| sfProcess | - An SF encoding the two-sided process connectivity, or NULL Many br

Many br

### See Also

PetscSFCreate(), DMPlexCreateProcessSF()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages